Actualités & Annonces de l'équipe de développement et des administrateurs du forum.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#1Messageil y a 2 mois

Bonjour à toutes et à tous :bjr:

Une mise à jour est annoncée

Attention! Le passage à, Python3.9 nécessite de reconstruire certains paquets AUR s'appuyant sur python3.8. Il est recommandé d'installer rebuild-detector dispo dans AUR et de lancer:

pamac -S --noconfirm $(pacman -Qqo "/usr/lib/python3.8/site-package")
. Marche aussi avec Yay à la place de Pamac.
Edit: Le noyau 5.9 est en fin de vie. Il faudra rapidement le remplacer. Passez au 5.10 seulement si vous avez un noyau de secours.
Bonjour la communauté,

Une autre mise à jour de la branche Stable avec quelques mises à jour habituelles pour vous. Nous vous souhaitons également une très bonne année 2021 ! Continuez à rouler !
La plupart des noyaux ont été mis à jour. Nous avons retiré linux57 et linux58 de nos dépôts. La série de noyaux 5.9 est maintenant marquée EOL. Passez à des noyaux plus récents si nécessaire.
  • Nous avons simplifié l'installation des pilotes Nvidia. Cela signifie que nous avons abandonné les anciens pilotes. Nous recommandons de passer à de nouveaux pilotes si nécessaire.
  • Avec la dernière version de Mesa 2, nous devrions maintenant prendre en charge RADEON RX 6800 dès sa sortie.
  • La mise à jour de Python 3.9 1 est arrivée. Nous espérons que nous avons réussi à reconstruire tous les paquets nécessaires à ce jour. Si vous utilisez les paquets AUR, nous vous recommandons d'installer rebuild-detector 12 avant d'appliquer cette mise à jour.
  • Beaucoup de paquets KDE-git ont été mis à jour
  • Pamac mis à jour à la v10.0.3 3
  • Firefox a obtenu une nouvelle version bêta
  • L'ancien pilote Nvidia a été mis à jour à 390.138 1.
  • Certains paquets Deepin ont été renouvelés
  • Qt6 2 a été ajouté à nos repos.
  • Les applications KDE sont maintenant à leur version 3 de décembre
  • Les frameworks KDE ont été mis à jour à 5.77.0 1
  • Libreoffice est maintenant à 7.0.4 1
  • Plus de mises à jour sur Cinnamon et Deepin
  • Gstreamer a été mis à jour
  • Haskell et autres mises à jour régulières en amont


Traduit avec www.DeepL.com/Translator (version gratuite)

N'hésitez pas à nous donner vos commentaires sur les modifications apportées aux dépôts.


-------------------------------------------------------------------------------------
Mise à jour possible par pamac, octopi ou par pacman (de préférence) :

sudo pacman -Syu
ou encore

sudo pamac update
-------------------------------------------------------------------------------------


Noyaux pris en charge :
  • linux44 4.4.248
  • linux49 4.9.248
  • linux414 4.14.212
  • linux419 4.19.163
  • linux54 5.4.85
  • linux59 5.9.16 [EOL] En fin de vie
  • linux510 5.10.2
  • linux54-rt 5.4.82_rt45
  • linux59-rt 5.9.1_rt19
Les changements en détail :
  • community x86_64: 3820 nouveaux et 3818 paquets retirés
  • core x86_64: 76 nouveaux et 91 paquets retirés
  • extra x86_64: 1317 nouveaux et 1437 paquets retirés
  • multilib x86_64: 48 nouveaux et 60 paquets retirés
-------------------------------------------------------------------------------------


-------------------------------------------------------------------------------------
ERREUR : conflit de fichiers
Si lors de la mise à jour vous avez le type d'erreur comme ci-dessous (tlp est un exemple) :

erreur : la validation de la transaction a échoué (conflit de fichiers)
tlp : /etc/acpi/thinkpad est déjà présent dans le système de fichiers
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
il convient de passer la commande suivante en l'adaptant à votre cas particulier :

sudo pacman -S nom_paquet --overwrite '/etc/acpi/thinkpad'
Ensuite, vous pouvez faire votre mise à jour générale sans problème.
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
Problèmes liés à la synchronisation des miroirs

pacman-mirrors || sudo pacman-mirrors --continent; sudo pacman -Syu
Cette commande pacman-mirrorsva analyser le status des miroirs; si OK=> Synchronisation et Mise à jour.
Si KO, pacman-mirrors --continent synchronisera les miroirs les plus proches de votre situation géographique.
Attention si vous utilisez un vpn, dans ce cas, l'option -f0 sera plus appropriée. Ensuite la Mise à jour se lancera normalement.
-------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------
ERREUR de clés

Si lors de la mise à jour vous avez des problèmes de clés, essayez de passer les commandes suivantes :

sudo pacman -Syy
sudo pacman -S archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
Ensuite, vous devriez pouvoir faire votre mise à jour générale sans problème.

-------------------------------------------------------------------------------------

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#2Messageil y a 2 mois

**** ATTENTION Grand CHANGEMENT POUR LES DRIVERS NVIDIA ****
carte dédié Nvidia PCI depuis de 2016 --> serie nvidia-linux ( en fait version 455xx )
carte hybride dédié Nvidia en 450 --> idem

carte 340 et plus --> tenter nvidia-390
carte hybride 340 et plus --> tenter hybrid-nvidia-390

sinon remettre driver nouveau ( Free )

**** ATTENTION CHANGEMENT DE NOYAU ****
en version 5.10 , ajouter si votre architecture le supporte au moins un noyau 5.4 LTS
les version noyaux sont liés aux drivers wifi & ethernet & bluetooth
et sont liés aussi pour les drivers vidéos hybrides


*** ceux qui ont un écran noir avec AMDGPU et noyau 5.10 ****
il faut ajouter option amdgpu.dc=0 au démarrage

et au niveau de Grub à la ligne GRUB_CMDLINE_LINUX_DEFAULT=
"amdgpu.dc=0"

sudo nano /etc/default/grub
sudo update-grub
Dernière modification par stephaneil y a 2 mois, modifié au total 2 fois.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#3Messageil y a 2 mois

Tout s'est bien passé.
C'est juste moi ou le 5.10 rend le système nettement plus rapide ?
(pourtant mon ordi, n'est pas de première jeunesse)

~]$ neofetch
██████████████████  ████████   sum@ordi1 
██████████████████  ████████   --------- 
██████████████████  ████████   OS: Manjaro Linux x86_64 
██████████████████  ████████   Host: K53SD 1.0 
████████            ████████   Kernel: 5.10.2-2-MANJARO 
████████  ████████  ████████   Uptime: 12 mins 
████████  ████████  ████████   Packages: 1821 (pacman), 36 (flatpak) 
████████  ████████  ████████   Shell: bash 5.1.0 
████████  ████████  ████████   Resolution: 1366x768, 1680x1050 
████████  ████████  ████████   DE: Xfce 4.14 
████████  ████████  ████████   WM: Xfwm4 
████████  ████████  ████████   WM Theme: Ant 
████████  ████████  ████████   Theme: Adwaita [GTK2/3] 
████████  ████████  ████████   Icons: Numix-Circle [GTK2], Adwaita [GTK3] 
                               Terminal: xfce4-terminal 
                               Terminal Font: Monospace 12 
                               CPU: Intel i3-2350M (4) @ 2.300GHz 
                               GPU: NVIDIA GeForce 610M 
                               GPU: Intel 2nd Generation Core Processor Family 
                               Memory: 3527MiB / 11754MiB 

                                                       
                                                       


[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#4Messageil y a 2 mois

Daniel68 a écrit : il y a 2 mois
stephane a écrit : il y a 2 mois **** ATTENTION Grand CHANGEMENT POUR LES DRIVERS NVIDIA ****
carte dédié Nvidia PCI depuis de 2016 --> serie nvidia-linux ( en fait version 455xx )
carte hybride dédié Nvidia en 450 --> idem

carte 340 et plus --> tenter nvidia-390
carte hybride 340 et plus --> tenter hybrid-nvidia-390

sinon remettre driver nouveau ( Free )

**** ATTENTION CHANGEMENT DE NOYAU ****
en version 5.10 , ajouter si votre architecture le supporte au moins un noyau 5.4 LTS
les version noyaux sont liés aux drivers wifi & ethernet & bluetooth
et sont liés aussi pour les drivers vidéos hybrides
salut,
Dans mon cas ni l'un ni l'autre ne s'installe, je reste comme ça ?

Image
Non c'est bon, j'ai réinstaller video nvidia (version 455xx) mais avant il faut désinstaller l'ancienne version manuellement :wink:

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#5Messageil y a 2 mois

Tiens, une bizarrerie (que j'ai aussi signalée sur l'inter) :

[sum@ordi1 ~]$ sudo pacman -rvk3
erreur : l’initialisation de la bibliothèque alpm a échoué
(trouver ou lire le répertoire a échoué : vk3/var/lib/pacman/)
[sum@ordi1 ~]$ 

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#6Messageil y a 2 mois

mauvaise commande :
paccache -rvk3

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#7Messageil y a 2 mois

Oups, le pire est que j'avais vérifié (mais manifestement avant le second café)

[sum@ordi1 ~]$ sudo paccache -rvk3
[sudo] Mot de passe de sum : 
'/var/cache/pacman/pkg/pamac-common-9.5.12-2-x86_64.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/pamac-common-10.0.0-1-x86_64.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/pamac-common-10.0.1-1.0-x86_64.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/pamac-gtk-9.5.12-1-x86_64.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/pamac-gtk-10.0.0-1-x86_64.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/pamac-gtk-10.0.1-1.0-x86_64.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/thunderbird-78.5.0-0.1-x86_64.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/firefox-i18n-fr-83.0-1-any.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/pamac-flatpak-plugin-9.5.12-1-x86_64.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/pamac-flatpak-plugin-10.0.0-1-x86_64.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/pamac-flatpak-plugin-10.0.1-1.0-x86_64.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/pamac-cli-9.5.12-1-x86_64.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/pamac-cli-10.0.0-1-x86_64.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/pamac-cli-10.0.1-1.0-x86_64.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/firefox-i18n-en-us-83.0-1-any.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/firefox-83.0-1-x86_64.pkg.tar.zst' supprimé
'/var/cache/pacman/pkg/firefox-83.0-2-x86_64.pkg.tar.zst' supprimé

==> finished: 17 packages removed (disk space saved: 169.7 MiB)
[sum@ordi1 ~]$ 

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#8Messageil y a 2 mois

Suivi la procédure et RAS! :bien

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#9Messageil y a 2 mois

"Attention! Le passage à, Python3.9 nécessite de reconstruire certains paquets AUR s'appuyant sur python3.8. Il est recommandé d'installer rebuild-detector dispo dans AUR et de lancer:"

Il se passe quoi si on ne le fait pas, perso, aucun problème pendant la mise à jour.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#10Messageil y a 2 mois

Hello,

1. Pour rebuild-detector je veux bien l'installer mais les mises à jour vont s'installer aussi, Je peux faire la commande après les mises à jour?

2. Pour le noyau 5.10 il vaut mieux le changer avant ou après les mises à jour?

Merci

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#11Messageil y a 2 mois

Neustrie a écrit : il y a 2 mois Hello,

1. Pour rebuild-detector je veux bien l'installer mais les mises à jour vont s'installer aussi, Je peux faire la commande après les mises à jour?

2. Pour le noyau 5.10 il vaut mieux le changer avant ou après les mises à jour?

Merci
Bonjour,

1. A l'inter il est dit de le faire avant mais je ne sais pas la conséquence si c'est fait après.
rebuild-detector existe dans le dépot officiel community.
Si tu lances :

sudo pacman -S rebuild-detector
est que le système veut aussi installer le reste de la mise à jour ?

2.Perso, je le changerais après et en gardant au moins le 5.4


Sinon, pour moi, mise à jour sans soucis en TTY, KDE, noyau 5.9 ; 508 paquets et 2.2Go à télécharger. :bien:clap
Edit: par contre, attention au choix du miroir, il y avait embouteillage en fin de matinée ! :gsourire:

Merci :merci:
et bon réveillon (ou ce qu'il en reste :sourire: ) :fete::fetard::biere::manger:

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#12Messageil y a 2 mois

Après désinstallation des driver propriétaires nvidia et installation des driver s libres, RAS, tout est ok :biere:

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#13Messageil y a 2 mois

ace66130 a écrit : il y a 2 mois "Attention! Le passage à, Python3.9 nécessite de reconstruire certains paquets AUR s'appuyant sur python3.8. Il est recommandé d'installer rebuild-detector dispo dans AUR et de lancer:"

Il se passe quoi si on ne le fait pas, perso, aucun problème pendant la mise à jour.
Hello
Depuis forum inter(traduction deepl):
Pour la reconstruction python, vous pouvez utiliser rebuild detector 1 (disponible dans Manjaro repo) comme suggéré dans le premier article, après chaque mise à jour, il listera les paquets AUR qui doivent être reconstruits dans la sortie pacman.
Vous pouvez aussi le déclencher manuellement en lançant checkrebuild

Donc ca sert juste à savoir si un paquet est a reconstruire
Dernière modification par un6zifil y a 2 mois, modifié au total 1 fois.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#14Messageil y a 2 mois

Bonjour les mises à jours sont passées , par contre au niveau de kwin .
Est-ce qu'il y a eu des modifications?
j'ai perdu la fenêtre gélatine et la lampe magique .

J'ai vérifié avec le compositeur , réinstallé kwin . Idem .
Auriez-vous une idée?

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#15Messageil y a 2 mois

Impossible d'installer les drivers nvidia
A chaque mis a jour c'est la roulette russe avec cette carte graphique.

Impossible d'installer :

Starting
> Using config 'video-hybrid-intel-nvidia-390xx-bumblebee' for device: 0000:00:02.0 (0300:8086:1916) Display controller Intel Corporation Skylake GT2 [HD Graphics 520]
> Installing video-hybrid-intel-nvidia-390xx-bumblebee...
Sourcing /etc/mhwd-x86_64.conf
Has lib32 support: true
Sourcing /var/lib/mhwd/db/pci/graphic_drivers/hybrid-intel-nvidia-390xx-bumblebee/MHWDCONFIG
Processing classid: 0300
Sourcing /var/lib/mhwd/scripts/include/0300
:: Synchronizing package databases...
error: target not found: linux510-nvidia-390xx
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
Error: pacman failed!
Error: script failed!

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#16Messageil y a 2 mois

Bonjour,
Je viens juste de passer la dernière mise à niveau Manjaro - xfce.
La mise à jour a fonctionné correctement.

System:    Host: msi-gp726qe Kernel: 5.9.16-1-MANJARO x86_64 bits: 64 compiler: gcc 
	v: 10.2.0 Desktop: Xfce 4.14.3  - Distro: Manjaro Linux
Le noyau 5.4 LTS est aussi installé.
Mais, le portable possède 2 cartes graphiques :

Graphics:  Device-1: Intel HD Graphics 530 vendor: Micro-Star MSI driver: i915 v: kernel bus ID: 00:02.0 
           Device-2: NVIDIA GM107M [GeForce GTX 950M] vendor: Micro-Star MSI driver: nvidia v: 455.45.01 
           bus ID: 01:00.0 
           Device-3: Acer BisonCam NB Pro type: USB driver: uvcvideo bus ID: 1-11:5 
           Display: x11 server: X.Org 1.20.10 driver: modesetting,nvidia resolution: 1920x1080~60Hz 
           OpenGL: renderer: GeForce GTX 950M/PCIe/SSE2 v: 4.6.0 NVIDIA 455.45.01 direct render: Yes
Pretit problème avec la carte graphique Nvidia avec le nouveau Kernel 5.9.16 :

> Using config 'video-hybrid-intel-nvidia-prime' for device: 0000:00:02.0 (0300:8086:191b) Display controller Intel Corporation HD Graphics 530
> Installing video-hybrid-intel-nvidia-prime...
Sourcing /etc/mhwd-x86_64.conf
Has lib32 support: true
Sourcing /var/lib/mhwd/db/pci/graphic_drivers/hybrid-intel-nvidia-prime/MHWDCONFIG
Processing classid: 0300
Sourcing /var/lib/mhwd/scripts/include/0300
:: Synchronizing package databases...
warning: lib32-nvidia-utils-455.45.01-3 is up to date -- skipping
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
resolving dependencies...
looking for conflicting packages...
:: nvidia-utils and nvidia-455xx-utils are in conflict (nvidia-libgl). Remove nvidia-455xx-utils? [y/N] error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)

:: nvidia-utils and nvidia-455xx-utils are in conflict
Error: pacman failed!
Error: script failed!
Merci pour votre aide.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#17Messageil y a 2 mois

Hello,

Mises à jour éffectuées, je suis passé avec le noyau 5.10 comme préconisé mais au démarrage écran noir, je peux accéder à la console tty.
Pour le moment je vais dans options avancées au démarrage et je sélectionne le 5.9 et tout va bien, Que faire aller avec le 5.4?

Merci

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#18Messageil y a 2 mois

Bonjour,

C'est la grande aventure pour moi. La dernière fois que j'ai fait une telle mise à jour j'ai du ré-installer mon système, donc j'ai peur.

Je compte faire ceci, dans l'ordre :
-un backup avec Timeshift
-Que dois-je faire avec nvidia? Mon système a : Graphics: NVIDIA GT218M [GeForce G 105M]
-Puis jai des AUR, donc j'ai vu dans les recommandations qu'il fallait installer 'rebuild-detector', mais si je tente cette installation cela va m'installer toutes les mises à jour aussi, non?
-Puis je fais un : sudo pacman -Syu
-Je vais prendre un café.
-Je reviens et tout s'est bien passé.

Cela vous parait-il bon ?

Merci.

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#19Messageil y a 2 mois

Bonjour,

Je suis avec le 4.19 et lors du reboot j'ai eu le droit à un Failed to start Load Kernel Modules. J'ai tester avec un autre de secours mais c'est la même chose.
Je doit faire quoi ?

[Stable] Mise à jour 30/12/2020 - Kernels, KDE, Cinnamon, LibreOffice, Python 3.9, Mesa 20.3.1

#20Messageil y a 2 mois

Bonsoir.
Ça boot ou tu as un kernel_panic ?
Répondre